```yaml
services:
  gitea-runner-cache-server:
    container_name: gitea-runner-cache-server
    restart: unless-stopped
    environment:
      - TZ=Asia/Shanghai
    volumes:
      - gitea-runner-cache-server:/runner-cache
    ports:
      - "9999:9998"
    image: gitea/act_runner:nightly
    entrypoint: act_runner
    command: cache-server --dir /runner-cache --port 9998 --host '131.186.26.36'
    pull_policy: always
volumes:
  gitea-runner-cache-server:

# docker restart gitea-runner-cache-server

# curl --location 'http://131.186.26.36:9999/_apis/artifactcache/cache?keys=node-cache-Linux-pnpm-de4eac14dbb4f7945fe8fd1c893cdfa20333058c2ed72a2821176baadcebae98&version=ba910e83421b023131249661df05cc6463265bfe020955d54f3da8958c87d6d1'
# {
#     "archiveLocation": "http://131.186.26.36:9999/_apis/artifactcache/artifacts/1",
#     "cacheKey": "node-cache-linux-pnpm-de4eac14dbb4f7945fe8fd1c893cdfa20333058c2ed72a2821176baadcebae98",
#     "result": "hit"
# }
```